package com.emr.service.ipml;

import com.emr.dao.Archive_Detail_caSignMapper;
import com.emr.entity.Archive_Detail_caSign;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 曾文和
 * @description: ca签章类
 * @createTime 2023/7/25 10:27
 */
@Service
@Transactional
public class Archive_Detai_CaSignServiceImpl {
    @Resource
    private Archive_Detail_caSignMapper archiveDetailCaSignMapper;

    public void deletesFromMasterId(String masterId) {
        archiveDetailCaSignMapper.deletesFromMasterId(masterId);
    }

    public void insertBatchCaSign(List<Archive_Detail_caSign> list) {
        archiveDetailCaSignMapper.insertBatchCaSign(list);
    }
}
